package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.scene.SystemScenePackageParam;
import api.common.pojo.po.scene.SystemScenePackageSublistPO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SystemScenePackageSublistMapper {

    void saveSystemScenePackageSublist(List<SystemScenePackageSublistPO> list);
    List<String> querySceneStandardsRegulationsList(SystemScenePackageSublistPO po);
    List<String> querySceneNaturalList(SystemScenePackageSublistPO po);
    List<String> querySceneAccidentList(SystemScenePackageSublistPO po);
    List<String> querySceneGeneralTemplateList(SystemScenePackageSublistPO po);

    void deleteSystemScenePackageSublist(SystemScenePackageSublistPO po);

    void deleteSystemScenePackageSublistBySC(SystemScenePackageSublistPO po);


    void deleteBySceneNames(SystemScenePackageParam systemScenePackageParam);


}
